# Uses of Class
org.opensaml.soap.client.http.HttpSOAPRequestParameters

Packages that use HttpSOAPRequestParameters
Package
Description
org.opensaml.soap.client.http
SOAP HTTP client functionality.

## Uses of HttpSOAPRequestParameters in org.opensaml.soap.client.http

Methods in org.opensaml.soap.client.http with parameters of type HttpSOAPRequestParameters
Modifier and Type
Method
Description
`protected org.apache.hc.client5.http.classic.methods.HttpPost`
HttpSOAPClient.`createPostMethod(String endpoint, HttpSOAPRequestParameters requestParams, Envelope message)`
Deprecated.
Create the post method used to send the SOAP request.